package handler

import (
	"context"

	"gitea.michaelthomson.dev/mthomson/habits/internal/todo/service"
)

type TodoGetter interface {
	GetTodo(ctx context.Context, id int64) (service.Todo, error)
}

type TodoCreater interface {
	CreateTodo(ctx context.Context, todo service.Todo) (service.Todo, error)
}

type TodoDeleter interface {
	DeleteTodo(ctx context.Context, id int64) error
}

type TodoUpdater interface {
	UpdateTodo(ctx context.Context, todo service.Todo) error
}
